/* eslint-disable */
// @ts-nocheck
// Generated by unplugin-vue-components
// Read more: https://github.com/vuejs/core/pull/3399
export {}

/* prettier-ignore */
declare module 'vue' {
  export interface GlobalComponents {
    BlogCard: typeof import('./src/components/BlogCard.vue')['default']
    BlogDetail: typeof import('./src/components/BlogDetail.vue')['default']
    BlogSummary: typeof import('./src/components/BlogSummary.vue')['default']
    CDNImage: typeof import('./src/components/CDNImage.vue')['default']
    CursorBlink: typeof import('./src/components/CursorBlink.vue')['default']
    DropdownBtn: typeof import('./src/components/DropdownBtn.vue')['default']
    DropdownSelection: typeof import('./src/components/DropdownSelection.vue')['default']
    GalleryCard: typeof import('./src/components/GalleryCard.vue')['default']
    GalleryGrid: typeof import('./src/components/GalleryGrid.vue')['default']
    GalleryZoom: typeof import('./src/components/GalleryZoom.vue')['default']
    Icon: typeof import('./src/components/Icon.vue')['default']
    MarkdownDisplay: typeof import('./src/components/MarkdownDisplay.vue')['default']
    MenuLinkBtn: typeof import('./src/components/MenuLinkBtn.vue')['default']
    MusicProgressbar: typeof import('./src/components/MusicProgressbar.vue')['default']
    Navbar: typeof import('./src/components/Navbar.vue')['default']
    NotFound: typeof import('./src/components/NotFound.vue')['default']
    PostTable: typeof import('./src/components/editor/PostTable.vue')['default']
    ProfileIcon: typeof import('./src/components/ProfileIcon.vue')['default']
    RouterLink: typeof import('vue-router')['RouterLink']
    RouterView: typeof import('vue-router')['RouterView']
    SideBySideEditor: typeof import('./src/components/editor/SideBySideEditor.vue')['default']
    SiteFooter: typeof import('./src/components/SiteFooter.vue')['default']
    Skeleton: typeof import('./src/components/Skeleton.vue')['default']
    YouTube: typeof import('./src/components/YouTube.vue')['default']
  }
}
